"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _formik = require("formik");

var _size2 = _interopRequireDefault(require("lodash/size"));

var _Summary = _interopRequireDefault(require("../Summary"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var displayName = 'Form';
var defaultProps = {
  summary: true
};

var Form = function Form(_ref) {
  var initialValues = _ref.initialValues,
      onSubmit = _ref.onSubmit,
      summary = _ref.summary,
      children = _ref.children,
      validate = _ref.validate,
      validationSchema = _ref.validationSchema,
      props = _objectWithoutProperties(_ref, ["initialValues", "onSubmit", "summary", "children", "validate", "validationSchema"]);

  return _react.default.createElement(_formik.Formik, {
    initialValues: initialValues,
    onSubmit: onSubmit,
    render: function render(_ref2) {
      var errors = _ref2.errors,
          handleSubmit = _ref2.handleSubmit;
      return _react.default.createElement("form", _extends({}, props, {
        noValidate: true,
        onSubmit: handleSubmit
      }), (0, _size2.default)(errors) > 0 && summary && _react.default.createElement(_Summary.default, {
        errors: errors
      }), children);
    },
    validate: validate,
    validateOnBlur: false,
    validateOnChange: false,
    validationSchema: validationSchema
  });
};

Form.displayName = displayName;
Form.defaultProps = defaultProps;
var _default = Form;
exports.default = _default;