"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = require("styled-components");

var S = _interopRequireWildcard(require("./Avatar.style"));

var _Initials = _interopRequireDefault(require("./Initials"));

var _Image = _interopRequireDefault(require("./Image"));

var _utilities = require("./utilities");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var displayName = 'Avatar';
var defaultProps = {
  color: '#ffffff',
  size: 2
};

var Avatar = function Avatar(_ref) {
  var bg = _ref.bg,
      color = _ref.color,
      name = _ref.name,
      size = _ref.size,
      src = _ref.src,
      theme = _ref.theme;
  return _react.default.createElement(S.Avatar, {
    bg: bg || (0, _utilities.getColorFromValue)(name, theme.colors.palette),
    size: size,
    title: name
  }, src && _react.default.createElement(_Image.default, {
    alt: name,
    size: size,
    src: src
  }), !src && name && size > 0 && _react.default.createElement(_Initials.default, {
    color: color,
    size: size,
    value: (0, _utilities.getInitials)(name)
  }));
};

Avatar.displayName = displayName;
Avatar.defaultProps = defaultProps;

var _default = (0, _styledComponents.withTheme)(Avatar);

exports.default = _default;