"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MobileNavigationContent = exports.MobileNavigationClose = exports.MobileNavigationDrawer = exports.MobileNavigationButton = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Anchor = _interopRequireDefault(require("../../Elements/Anchor"));

var _Box = _interopRequireDefault(require("../../Layout/Box"));

var _breakpoint = _interopRequireDefault(require("../../utilities/breakpoint"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n    display: ", ";\n  "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var MobileNavigationButton = (0, _styledComponents.default)(_Anchor.default).withConfig({
  displayName: "MobileNavigationstyle__MobileNavigationButton",
  componentId: "cb7c6n-0"
})(["color:inherit;cursor:pointer;display:inline-block;line-height:1;width:44px;height:44px;", ""], _breakpoint.default.md(_templateObject(), function (props) {
  return props.showOnDesktop ? 'inline-block' : 'none';
}));
exports.MobileNavigationButton = MobileNavigationButton;
MobileNavigationButton.displayName = 'MobileNavigationButton';
var MobileNavigationDrawer = (0, _styledComponents.default)(_Box.default).withConfig({
  displayName: "MobileNavigationstyle__MobileNavigationDrawer",
  componentId: "cb7c6n-1"
})(["position:fixed;top:0;height:100%;width:100%;background-color:#fff;z-index:100;overflow:auto;", ""], function (props) {
  return props.theme.MobileNavigationDrawer;
});
exports.MobileNavigationDrawer = MobileNavigationDrawer;
MobileNavigationDrawer.displayName = 'MobileNavigationDrawer';
var MobileNavigationClose = (0, _styledComponents.default)(_Anchor.default).withConfig({
  displayName: "MobileNavigationstyle__MobileNavigationClose",
  componentId: "cb7c6n-2"
})(["color:inherit;cursor:pointer;position:absolute;top:8px;right:8px;width:32px;height:32px;line-height:1;"]);
exports.MobileNavigationClose = MobileNavigationClose;
MobileNavigationClose.displayName = 'MobileNavigationClose';
var MobileNavigationContent = (0, _styledComponents.default)(_Box.default).withConfig({
  displayName: "MobileNavigationstyle__MobileNavigationContent",
  componentId: "cb7c6n-3"
})(["padding:16px;", ""], function (props) {
  return props.theme.MobileNavigationContent;
});
exports.MobileNavigationContent = MobileNavigationContent;
MobileNavigationContent.displayName = 'MobileNavigationContent';